Skip to main content
PATCH
Update a warehouse import

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

importId
integer
required

Your warehouse import id (eg: 12345)

Body

application/json
paused
boolean
required

Whether to pause (true) or resume (false) the import

run_every
enum<integer>
required

Sync frequency in nanoseconds. Only these values are accepted:

  • 0 - API-triggered only (use the manual-sync endpoint to trigger)
  • 3600000000000 - Hourly
  • 86400000000000 - Daily
  • 604800000000000 - Weekly
Available options:
0,
3600000000000,
86400000000000,
604800000000000
databricks_params
object | null

Response

Success

status
enum<string>

"ok" if the request succeeded, "error" otherwise.

Available options:
ok
Example:

"ok"

results
object